Package: org.apache.groovy.contracts.ast

## [Java] Class BaseASTTransformation

- org.apache.groovy.contracts.ast.BaseASTTransformation

- All Implemented Interfaces and Traits:
    ASTTransformation

      public abstract class BaseASTTransformation
      extends Object
      implements ASTTransformation

  Base AST transformation encapsulating all common helper methods and implementing ASTTransformation.

  See Also:
    ASTTransformation

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ReaderSource` | `getReaderSource(SourceUnit unit)` Reads the protected `source1` instance variable of SourceUnit.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### protected ReaderSource getReaderSource(SourceUnit unit)

      Reads the protected `source1` instance variable of SourceUnit.

      Parameters:
        `unit` - the SourceUnit to retrieve the ReaderSource from
      Returns:
        the ReaderSource of the given `unit`.